const company = getApp().globalData.company
let Parse = getApp().Parse;
Page({

    /**
     * 页面的初始数据
     */
    data: {
        // 验证手机号
        loginPhone: false,
        loginPwd: false,
        loveChange: true,
        hongyzphone: '',
        // 验证码是否正确
        zhengLove: true,
        huoLove: '',
        getText2: '获取验证码',
        id: null,
    },
    // 手机验证
    lovePhone: function(e) {
        let phone = e.detail.value;
        this.setData({ hongyzphone: phone })
        if (!(/^1[34578]\d{9}$/.test(phone))) {
            this.setData({
                lovePhone: false
            })
            console.log(phone.length)
            if (phone.length >= 11) {
                wx.showToast({
                    title: '手机号有误',
                    icon: 'none',
                    duration: 1000
                })
            }
        } else {
            this.setData({
                lovePhone: true

            })
        }
    },
    // 验证码输入
    yanLoveInput: function(e) {
        let that = this;
        let yanLove = e.detail.value;
        let huoLove = this.data.huoLove;
        that.setData({
            yanLove: yanLove,
            zhengLove: false,
        })
        if (yanLove.length >= 7) {
            if (yanLove == huoLove) {
                that.setData({
                    zhengLove: true,
                })
            } else {
                that.setData({
                    zhengLove: false,
                })
                wx.showModal({
                    content: '输入验证码有误',
                    showCancel: false,
                    success: function(res) {}
                })
            }
        }

    },
    // 验证码按钮
    yanLoveBtn: function() {
        let loveChange = this.data.loveChange;
        console.log(loveChange)
        let lovePhone = this.data.lovePhone;
        console.log(lovePhone)
        let phone = this.data.hongyzphone;
        console.log(phone)
        let n = 59;
        let that = this;
        if (!lovePhone) {
            wx.showToast({
                title: '手机号有误',
                icon: 'success',
                duration: 1000
            })
        } else {
            if (loveChange) {
                this.setData({
                    loveChange: false
                })
                let lovetime = setInterval(function() {
                    let str = '(' + n + ')' + '重新获取'
                    that.setData({
                        getText2: str
                    })
                    if (n <= 0) {
                        that.setData({
                            loveChange: true,
                            getText2: '重新获取'
                        })
                        clearInterval(lovetime);
                    }
                    n--;
                }, 1000);
                console.log(phone)
                wx.request({
                    url: "https://server.fmode.cn/api/apig/message",
                    method: "post", //请求方式
                    data: { mobile: phone, company: company, },
                    success(res) {
                        console.log(res)
                    }
                })
            }
        }
    },
    //form表单提交
    formSubmit(e) {
        let that = this
        let val = e.detail.value
            // console.log('val', val)
        var phone = val.phone //电话
        var phoneCode = val.phoneCode //验证码
        var openid = wx.getStorageSync('userInfo').openid
        console.log(openid)
        wx.request({
            url: 'https://server.fmode.cn/api/apig/verifyCode',
            method: "post", //请求方式
            data: { mobile: phone, code: phoneCode, openid: openid },
            success() {
                that.getuser(phone)
            }
        })
    },
    async getuser(phone) {
        let query = new Parse.Query("ShopStore")
        let ShopStore = await query.get(this.data.id)
        ShopStore.set("mobile", phone)
        ShopStore.save().then(res => {
            console.log(res)
            wx.showToast({
                title: '绑定成功',
                icon: 'none'
            })
            wx.navigateBack({
                delta: 1
            });
        })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function(options) {
        console.log(options.id);
        let id = options.id
        this.setData({ id: id })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function() {

    }
})